/* Copyright (c) 2011 Pierre Pronchery <khorben@defora.org> */
/* This file is part of DeforaOS Devel asm */
/* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/* version dev, mer. sept. 28 17:09:05 CEST 2011 by whygee@f-cpu.org  */
/* derived from Id: yasep.c,v 1.1 2011/09/28 12:04:05 khorben Exp $ */

#include <stddef.h>
#include "Asm.h"


/* yasep */
/* private */
/* variables */
static ArchInstruction _yasep_instructions[] =
{
#include "yasep.ins"
#include "common.ins"
#include "null.ins"
};


/* functions */
/* plug-in */


/* protected */
/* variables */
ArchPlugin arch_plugin =
{
	NULL,
	"yasep",
	NULL,
	NULL,
	_yasep_instructions,
	NULL,
	NULL,
	NULL,
	NULL
};

