/*
created 20090730 by whygee
 docs/forms.js

Displays the list of the instructions available for every form
(inspired by opcode_map.js)

20110916 : htmi, added flags too
*/

DOC_GEN.valid_keys["forms"]={
  menuTitle:"Instruction&nbsp;forms",
  onLoad: function(cont, h){
    var a,b,c,d,e,i, FormUsage=[], // build the table of the forms
      pr='<hr>'+hiddenText(1,h); // "This form is used by these instructions : "

    // scan the list of the opcodes
    for (c in Y.table_opcode)
      if (Y.table_opcode[c].forms>0) {
        e=Y.table_opcode[c];
        t=' '+Y.decorate_opcode(c);
        i=1;
        while (i<=e.forms) {
          if (i & e.forms) {
            b=Y.TableForm[i];
            if (typeof FormUsage[b] != "string")
              FormUsage[b]=pr+t;
            else
              FormUsage[b]+=t;
          }
          i+=i;
        }
      }

    // scan all the <div class="ex"> of the page
    d=cont.getElementsByTagName("div");
    for (a in d)
      if (d[a].className=="ex") {
        b=d[a];
        c=FormUsage[b.id.slice(1)];
        if(typeof c=="string")
          b.innerHTML=c;
      }
  }
};

winman.register_window("doc/forms",DOC_GEN.start);


DOC_GEN.valid_keys["flags"]={
  menuTitle:"Instruction&nbsp;flags",
  onLoad: function(cont, h){
    var a,b,c,d,e,i, FlagsUsage=[], // build the table of the flags
      pr1=hiddenText(1,h); // "The flag "
      pr2=hiddenText(2,h); // " is used by these instructions : "

    // scan the list of the opcodes
    for (c in Y.table_opcode)
      if (Y.table_opcode[c].flags>0) {
        e=Y.table_opcode[c];
        t=' '+Y.decorate_opcode(c);
        i=1;
        while (i<=e.flags) {
          if (i & e.flags) {
            b=Y.TableFlags[i];
            if (!FlagsUsage[b])
              FlagsUsage[b]="<br>"+pr1+"<b>"+b+"</b>"+pr2;
            FlagsUsage[b]+=t;
          }
          i+=i;
        }
      }

    // scan all the <div class="ex"> of the page
    d=cont.getElementsByTagName("div");
    for (a in d)
      if (d[a].className=="ex") {
        b=d[a];
        c=FlagsUsage[b.id.slice(1)];
        if(typeof c=="string")
          b.innerHTML=c+"<br>&nbsp;";
      }
  }
};

winman.register_window("doc/flags",DOC_GEN.start);

