/*
  yasep/index.dev.js
  created dim. sept. 11 03:10:21 CEST 2011
  version dim. sept. 18 14:15:54 CEST 2011 : dropped the 'skip intro' and the corresponding cookie.
  version mar. oct.  18 04:20:32 CEST 2011 : adding minimisation, moving init code to body_start.js

  contains all the JS code that was in the index.html before
*/

var js_list=[
 'gui-js/messages',
 'gui-js/lang',
 'gui-js/XHR',
 'core-js/txt_int',
 'core-js/base66s',
 'gui-js/cookies',
 'gui-js/ygwm',
 'gui-js/ygwm-colors',
 'gui-js/ygwm-options',
 'gui-js/ygwm-winlist',
 'gui-js/menu',
 'gui-js/winman',
 'ISM/ISM', // ISM is pointed to by core-js/yasep_opcodes.js:Y.NewOpcode

 'core-js/yasep_forms',
 'core-js/yasep_fields',
 'core-js/yasep_flags',
 'core-js/yasep_opcodes',
 'core-js/yasep_groups',
 'core-js/yasep_conditions',

// 'core-js/group_eu', // parts of the future simulator
 'core-js/group_ctl',
 'core-js/group_asu',
 'core-js/group_rop2',
 'core-js/group_shl',
 'core-js/group_ie',
 'core-js/group_smt',
 'core-js/group_mul',
 'core-js/group_rsv',

 'core-js/yasep_pseudo',
 'core-js/yasep_asm',
 'core-js/yasep_disasm',

 'tool/test_opcodes',
 'doc/opcode_map',
 'tool/asm',
 'doc/doc',
 'doc/forms',
 'doc/asm',
 'doc/16-32',
 'defora/gen_test_asm',
 //, 'test/template'
 'body_start' // last one
];

if (window.location.hash == "#MKMIN") {

  LoadFile=function(src){
    var xhr;
    try{
      xhr=new XMLHttpRequest();
      xhr.open('GET', src, false);
      xhr.send(null);
      return xhr.responseText;
    }
    catch(err) {
      return alert(src+" can't be loaded");
    }
  }

  // load 2 files :
  eval(LoadFile("gui-js/filefox.js"));
  eval(LoadFile("gui-js/minimize.js"));

  // gather all the files, minimise them and write them
  body_start=function(){
    // replace the whole page contents
    document.body.innerHTML= '<p>Saving the minimised JavaScript file</p>'
       +make_FF_form('form_post','index.prod.js',100,40) + make_FF_ctl();
    FF_init();

    // collect all the files
    var data='';
    for (i in js_list)
      data+=LoadFile(js_list[i]+'.js')+";";

    // put the minified result (plus a header) in the form
    document.form_post.filecontents.value =
      "/* index.prod.js : minified file generated from the YASEP source code tree,"
     +" licensed under Affero GPL v3 by Yann Guidon, see http://yasep.org for all the details. */\n"
     + JSminimize(data);
  }
} else
  for (i in js_list)
    document.write('<script type="text/javascript" src="'+js_list[i]+'.js"></'+'script>\n');
